body {
  display: flex;
  flex-direction: column;
  margin: 0 auto; 
  background: blueviolet;
  min-height: 90vh;
  display: flex;
  flex-direction: column;
  justify-content: auto;
  transition: 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

a {
  text-decoration: none;
  color: white;
}

/* Header */

.header {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #1f2937;
  gap: 100px;
  text-align: auto;
  color: #e5e7e8;
  
}

.header .logo-link {
  width: 900px;
  display: flex;
  justify-content: space-between;
  color: #e5e7e8;
  padding: 20px;
}
.header .logo-link .link {
  font-size: 15px;
  display: flex;
  justify-content: space-around;
  gap: 30px;
}

.header .logo-link .logo {
  font-weight: bold;
  font-size: 24px;
}

.header .intro-img {
  width: 900px;
  margin-bottom: 130px;
  display: flex;
  justify-content: space-between;
  color: #f9faf8;
}

.header .intro-img .intro {
  width: 400px;
  gap: 5px;
  display: center;
  flex-wrap: wrap;
}

.header .intro-img .intro .title {
  font-size: 48px;
  font-weight: bolder;
  color: #f9faf8;
}

.header .intro-img .intro .content {
  font-size: 18px;
}

/* random-information */
.random_information {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 35px;
  padding: 75px 0 100px 0;
}

.random_information .rand-header {
  font-size: 36px;
  font-weight: bolder;
  color: #1f2937;
}

.random_information .more-img {
  display: flex;
  justify-content: center;
  gap: 40px;
}

.random_information .more-img .img {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 150px;
  height: auto;
}

.random_information .more-img .img .rand-img {
  width: 150px;
  height: 150px;
  border: #3882f6 solid 4px;
  border-radius: 7px;
}

/* inspring */
.inspiring-container {
  background-color: #e5e7eb;
  height: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 200px;
}

.inspiring-container .inspiring {
  width: 800px;
  height: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.inspiring-container .inspiring .content {
  font-size: 36px;
  font-style: italic;
  color: #1f2937;
}

.inspiring-container .inspiring .author {
  font-size: 30px;
  font-weight: bold;
}
.inspiring-container .inspiring .author {
  align-self: flex-end;
}

/* sign up  */

.sign-up-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 100px;
}

.sign-up-container .sign-up {
  width: 900px;
  height: 100px;
  background-color: #3882f6;
  border-radius: 10px;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.sign-up-container .sign-up .sign-up-content {
  color: white;
}
.sign-up-container .sign-up .sign-up-content .big {
  font-weight: bold;
  font-size: larger;
  margin-bottom: 5px;
  height: 100px;
}

.sign-up-container .sign-up .sign-up-button {
  width: 100px;
  height: 50px;
  background-color: #3882f6;
  color: white;
  font-weight: bold;
  border-radius: 10px;
  border: 2px solid white;
  font-size: 15px;
}

/* copyright */

.sign-up-container{
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #1f2937;
  color: white;
  padding: 30px;
  font-size: small;
}

h2 {
  color: #fff;
  font-weight: 200;
}


#btn1 {
  color: #ffffff;
  background-color: #000;
  width: 50%;
  margin: auto;
  align-items: center;
  border-radius: 10px;

}

#btn2 {
  color: #ffffff;
  background-color: #000274;
  width: 50%;
  display: flex;
  margin: auto;
  align-items: center;
  border-radius: 10px;
  justify-content: center;

}

#hexCode {
  display: flex;
  font-size: small;
  align-items: center;
  color: #000;
  justify-content: center;
}

div {
display: flex;
align-items: center;
justify-content: center;

}

button {
  background-color: blue;
  padding: 15px;
  background: transparent;
  border: 2px solid white;
  color: #fff;
  transition: 0.8s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

button:hover {
  background: #fff;
  color: #000;
  cursor: pointer;
}

button:active {
  padding: 5px;
}

.pinleft {
  height: 610px;
  border-radius: 40px;
  }
  
.pinmiddle {
    height: 610px;
    border-radius: 40px;
    }
  
.pinright {
      height: 610px;
      border-radius: 40px;
      }